Subject: Re: [Tsvwg] [SCTP implementor]multi-home initialization

From: Bhanu Prakash <[email-masked]>
Date: Tue, 01 Aug 2006 15:30:00 +0530

Brian,

Consider the following scenario, where endpoint A is having IP x.x.x.x (not multi-homed) and endpoint B is having p.p.p.p and q.q.q.q multi-homed) 
ip addresses.

 | Endpoint A|                                           |Endpoint B|
 (x.x.x.x)                                            (p.p.p.p and q.q.q.q)
     |                                                        |
     |           --------------INIT-------------------->      |
                                    (DEST = q.q.q.q)
     |                                                        |
     |           <------------INIT ACK -----------------      |
                                    (SOURCE = p.p.p.p in IP header)
                                    (address list = p.p.p.p and q.q.q.q)

In the above case the end point A is sending ABORT since it has received
INIT-ACK from a destination unknown to it (i.e. by looking at source ip
address in IP header) address, is it correct..?

Should the endpoint A accept this INIT-ACK considering the fact that the
ip address list in INIT-ACK had q.q.q.q  or  should the end point B send the
INIT-ACK having source ip address q.q.q.q in IP header ..?

Thanks,
Bhanu.

Brian F. G. Bidulock wrote:

>Bhanu,
>
>Bhanu Prakash wrote:                            (Thu, 27 Jul 2006 14:47:24)
>  
>
>>   Hi,
>>   Please  consider the following scenario, where endpoint A is having IP
>>   x.x.x.x (not multi-homed) and endpoint B is having p.p.p.p and q.q.q.q
>>   (multi-homed) ip addresses.
>>         | Endpoint
>>   A|
>>   |Endpoint B|
>>         |           --------------INIT-------------------->      |
>>                                             (DEST = p.p.p.p)
>>          |            <-----------INIT ---------------------       |
>>                  (SRC  = q.q.q.q) (has the list of ip address from B i.e
>>   q.q.q.q and p.p.p.p)
>>          |             ------------INIT ACK --------------->    |
>>                                     (DEST = q.q.q.q)
>>             |                    <--------- COOKIE ECHO-----------     |
>>   Should we accept this COOKIE p.p.p.p?
>>                                           (SRC= p.p.p.p )
>>
>>             |                  <----------COOKIE ECHO----------     | Or
>>   should we accept this COOKIE  q.q.q.q?
>>                                            (SRC = q.q.q.q)
>>          |              -------------COOKIE ACK---------->    |
>>                                                         (DEST = q.q.q.q)
>>
>>   If  we  accept  COOKIE  from  p.p.p.p  then  is it considered as a new
>>   association or is it considerd for the INIT and INIT ACK association.?
>>   Please explain.
>>   Best regards,
>>   bhanu
>>    
>>
>
>If the COOKIE-ECHO contains the valid signed Cookie from the INIT-ACK, then
>it belong to nothing else (regardless of what its source address is).
>Endpoint A will have verified destination q.q.q.q (with the cookie) and can
>send to q.q.q.q so that is then appropriate address for the COOKIE-ACK.
>
>The only question is why Enpoint B does not respond with an INIT-ACK?  It
>should.
>
>--brian
>
>  
>